import themidibus.*; //Import the library

MidiBus mBus; // The MidiBus
int instrument = 0;
void setup() {
  size(400,400);
  background(0);
  MidiBus.list();
  // mBus = new MidiBus(this, -1, "Microsoft GS Wavetable Synth");
  // mBus = new MidiBus(this, -1, "Java Sound Synthesizer");
  // mBus = new MidiBus(this, -1, "SimpleSynth virtual input");
  mBus = new MidiBus(this, -1, "Bus 1");
 // noLoop();
  // exit();
}

void draw() {
  background(0);
  int channel = 9;
  int pitch = 64;
  int velocity = 127;

instrument++;
changeInstrument(instrument);
// changeInstrument(55);
//  text("Instrument: "+instrument, 200,200);

  mBus.sendNoteOn(channel, pitch, velocity); // Send a Midi noteOn
  delay(100);
  mBus.sendNoteOff(channel, pitch, velocity); // Send a Midi nodeOff
  delay(100);
}

void changeInstrument(int value)
{
  byte data[] = new byte[2];
  data[0] = (byte)0xC0;
  data[1] = (byte)value;
  mBus.sendMessage(data);
}
